# Generated by Django 4.1.5 on 2023-02-06 11:27

from django.db import migrations, models
import django.db.models.deletion
import jsonfield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('location', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='EventLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event', models.CharField(choices=[('DIRECTION', (('REALIZE', 'Реализовано'), ('TRANSFER', 'Переведено на другие фермы'), ('DEATH', 'Пало'), ('KILLING', 'Забито'))), ('ENTRANCE', (('LITTER', 'Приплод'), ('TRANSFER', 'Переведено с других ферм'), ('BUY', 'Куплено'))), ('TRANSFER', (('TRANSFER_GROUP', 'Переведено с другой группы'), ('TRANSFER_CATEGORY', 'Переведено из другой категории'), ('TRANSFER_SECTOR', 'Переведено с другого участка'))), ('OTHER', 'Прочее')], default='OTHER', help_text='event | Выбор событий', max_length=20, verbose_name='Событие')),
                ('action_type', models.CharField(choices=[('NONE', 'Не определено'), ('DIRECTION', 'Выбытие'), ('ENTRANCE', 'Поступление'), ('FARROW', 'Опорос'), ('INSEMINATION', 'Осеменение'), ('TRANSFER_IN', 'Перемещение в'), ('TRANSFER_OUT', 'Перемещение из'), ('WEIGHING', 'Взвешивание'), ('TRANSPLANT_OUT', 'Отсад'), ('TRANSPLANT_in', 'Подсад')], default='NONE', help_text='action_type | Вид действия', max_length=15, verbose_name='Вид действия')),
                ('weight', models.PositiveSmallIntegerField(blank=True, default=0, help_text='weight | Вес свиньи или группы (зависит от того, над кем совершаем действие)', null=True, verbose_name='Вес свиньи или группы')),
                ('info', jsonfield.fields.JSONField(blank=True, default={}, help_text='info | Информация о действии', null=True, verbose_name='Информация о действии')),
                ('meta', jsonfield.fields.JSONField(blank=True, default={}, help_text='meta | Доп. информация о действии', null=True, verbose_name='Доп. информация о действии')),
                ('comment', models.TextField(blank=True, help_text='comment', null=True, verbose_name='Комментарий')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Обновлено')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('partner', models.ForeignKey(blank=True, help_text='partner | Поставщик/Получатель', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='events', to='location.partner', verbose_name='Поставщик/Получатель')),
            ],
            options={
                'verbose_name': 'Событие',
                'verbose_name_plural': 'Журнал событий',
            },
        ),
    ]
